CertPath.CertPathRep (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.security.cert, class: CertPath, class: CertPathRep
Keywords: java.security.cert.CertPath.CertPathRep class

# Class CertPath.CertPathRep

java.lang.Object
java.security.cert.CertPath.CertPathRep

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CertPath`

protected static class CertPath.CertPathRep extends Object implements Serializable
Alternate `CertPath` class for serialization.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CertPathRep(String type, byte[] data)`
  Creates a `CertPathRep` with the specified type and encoded form of a certification path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `readResolve()`
  Returns a `CertPath` constructed from the type and data of this `CertPathRep`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CertPathRep

    protected CertPathRep(String type, byte[] data)
    Creates a `CertPathRep` with the specified type and encoded form of a certification path.
    Parameters:
      `type` - the standard name of a `Certificate` type
      `data` - the encoded form of the certification path

- ## Method Details

  - ### readResolve

    protected Object readResolve() throws ObjectStreamException
    Returns a `CertPath` constructed from the type and data of this `CertPathRep`.
    Returns:
      the resolved `CertPath` object
    Throws:
      `ObjectStreamException` - if a `CertPath` object could not be constructed